2018-07-23 01:42 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004834Kali Linux[All Projects] Kali Package Bugpublic2018-07-09 09:38
Reporterfl0 
Assigned Tosbrun 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version2018.2 
Target VersionFixed in Version2018.3 
Summary0004834: Blank screen since kernel 4.16.16 update
DescriptionSince the last kernel update it does not boot correctly:

The screen is black and Ctrl-Alt-[number] does not work for non graphical consoles.

Downgrading to 4.16.12 resolve the issue.

I am able to reproduce the issue on two computers (a notebook HP Zbook 15G3 with a Nvidia card ans a dekstop computer also with a Nvidia card).


Some logs:

Jul 3 07:33:04 kali gsd-color[974]: failed to connect to device: Failed to connect to missing device /org/freedesktop/ColorManager/devices/xrandr_Hewlett_Packard_HP_E242_CN46390FD5_flo_1000
Jul 3 07:33:04 kali gsd-color[974]: failed to connect to device: Failed to connect to missing device /org/freedesktop/ColorManager/devices/xrandr_LG_Display_flo_1000
Jul 3 07:33:04 kali gvfsd[1393]: A connection to the bus can't be made
Jul 3 07:33:04 kali gnome-session[1306]: gnome-session-binary[1306]: WARNING: Lost name on bus: org.gnome.SessionManager
Jul 3 07:33:04 kali gnome-session-binary[1306]: WARNING: Lost name on bus: org.gnome.SessionManager
Jul 3 07:33:04 kali gnome-shell[25943]: gnome-shell: Fatal IO error 11 (Resource temporarily unavailable) on X server :1.
Attached Files

-Relationships
has duplicate 0004836closedrhertzog Nvidia drivers 
+Relationships

-Notes

~0009334

fl0 (reporter)

I have a general protection fault (like bug 0004832) related to nvidia driver:

ul 3 15:25:47 kali /usr/lib/gdm3/gdm-x-session[840]: (II) NVIDIA(0): Setting mode "DFP-3:nvidia-auto-select,DFP-1:nvidia-auto-select"
Jul 3 15:25:49 kali kernel: [ 21.754306] usercopy: Kernel memory exposure attempt detected from SLUB object 'nvidia_stack_cache' (offset 11440, size 3)!
Jul 3 15:25:49 kali kernel: [ 21.754310] ------------[ cut here ]------------
Jul 3 15:25:49 kali kernel: [ 21.754311] kernel BUG at /build/linux-tNE93D/linux-4.16.16/mm/usercopy.c:100!
Jul 3 15:25:49 kali kernel: [ 21.754315] invalid opcode: 0000 [0000001] SMP PTI
Jul 3 15:25:49 kali kernel: [ 21.754316] Modules linked in: pci_stub vboxpci(O) vboxnetadp(O) vboxnetflt(O) vboxdrv(O) snd_hda_codec_hdmi arc4 binfmt_misc nls_ascii nls_cp437 vfat fat intel_rapl x86_pkg_temp_thermal intel_powerclamp hp_wmi mxm_wmi sparse_keymap coretemp wmi_bmof iwlmvm kvm_intel btusb mac80211 btrtl snd_hda_codec_conexant btbcm btintel kvm snd_hda_codec_generic bluetooth irqbypass snd_hda_intel snd_hda_codec intel_cstate iwlwifi snd_hda_core drbg intel_uncore snd_hwdep intel_rapl_perf joydev ansi_cprng efi_pstore rtsx_pci_ms snd_pcm memstick cfg80211 snd_timer tpm_infineon ecdh_generic snd evdev rfkill iTCO_wdt sg iTCO_vendor_support soundcore serio_raw shpchp intel_pch_thermal efivars battery hp_accel lis3lv02d input_polldev wmi video tpm_tis hp_wireless tpm_tis_core tpm rng_core acpi_pad ac button nvidia_drm(PO)
Jul 3 15:25:49 kali kernel: [ 21.754345] drm_kms_helper drm nvidia_modeset(PO) nvidia(PO) ipmi_devintf ipmi_msghandler efivarfs ip_tables x_tables autofs4 ext4 crc16 mbcache jbd2 crc32c_generic fscrypto ecb algif_skcipher af_alg dm_crypt dm_mod sd_mod hid_generic usbhid hid crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel pcbc rtsx_pci_sdmmc mmc_core aesni_intel ahci xhci_pci aes_x86_64 libahci crypto_simd glue_helper xhci_hcd cryptd libata psmouse e1000e i2c_i801 rtsx_pci usbcore scsi_mod usb_common thermal
Jul 3 15:25:49 kali kernel: [ 21.754364] CPU: 1 PID: 842 Comm: Xorg Tainted: P O 4.16.0-kali2-amd64 0000001 Debian 4.16.16-2kali1
Jul 3 15:25:49 kali kernel: [ 21.754365] Hardware name: HP HP ZBook 15 G3/80D5, BIOS N81 Ver. 01.27 05/22/2018
Jul 3 15:25:49 kali kernel: [ 21.754368] RIP: 0010:usercopy_abort+0x69/0x80
Jul 3 15:25:49 kali kernel: [ 21.754369] RSP: 0018:ffffbb2f04ca7b50 EFLAGS: 00010282
Jul 3 15:25:49 kali kernel: [ 21.754371] RAX: 000000000000006f RBX: 0000000000000003 RCX: 0000000000000000
Jul 3 15:25:49 kali kernel: [ 21.754372] RDX: 0000000000000000 RSI: ffff8fb87dc56738 RDI: ffff8fb87dc56738
Jul 3 15:25:49 kali kernel: [ 21.754372] RBP: 0000000000000003 R08: 000000000000035f R09: 0000000000000004
Jul 3 15:25:49 kali kernel: [ 21.754373] R10: ffffffff86077e58 R11: ffffffff867a8dcd R12: 0000000000000001
Jul 3 15:25:49 kali kernel: [ 21.754374] R13: ffff8fb85c98acb3 R14: 0000000000000000 R15: ffff8fb85c98acf8
Jul 3 15:25:49 kali kernel: [ 21.754376] FS: 00007f05b52926c0(0000) GS:ffff8fb87dc40000(0000) knlGS:0000000000000000
Jul 3 15:25:49 kali kernel: [ 21.754377] CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Jul 3 15:25:49 kali kernel: [ 21.754378] CR2: 00007f05ad5cfca0 CR3: 000000069b7ee002 CR4: 00000000003606e0
Jul 3 15:25:49 kali kernel: [ 21.754379] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Jul 3 15:25:49 kali kernel: [ 21.754380] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Jul 3 15:25:49 kali kernel: [ 21.754380] Call Trace:
Jul 3 15:25:49 kali kernel: [ 21.754384] __check_heap_object+0xe7/0x120
Jul 3 15:25:49 kali kernel: [ 21.754386] __check_object_size+0x9c/0x1a0
Jul 3 15:25:49 kali kernel: [ 21.754464] os_memcpy_to_user+0x21/0x40 [nvidia]
Jul 3 15:25:49 kali kernel: [ 21.754570] _nv009377rm+0xbf/0xe0 [nvidia]
Jul 3 15:25:49 kali kernel: [ 21.754659] ? _nv028067rm+0x79/0x90 [nvidia]
Jul 3 15:25:49 kali kernel: [ 21.754746] ? _nv028067rm+0x55/0x90 [nvidia]
Jul 3 15:25:49 kali kernel: [ 21.754827] ? _nv013694rm+0xee/0x100 [nvidia]
Jul 3 15:25:49 kali kernel: [ 21.754908] ? _nv015342rm+0x154/0x270 [nvidia]
Jul 3 15:25:49 kali kernel: [ 21.755013] ? _nv008310rm+0x134/0x1a0 [nvidia]
Jul 3 15:25:49 kali kernel: [ 21.755115] ? _nv008289rm+0x29c/0x2b0 [nvidia]
Jul 3 15:25:49 kali kernel: [ 21.755217] ? _nv001072rm+0xe/0x20 [nvidia]
Jul 3 15:25:49 kali kernel: [ 21.755320] ? _nv007316rm+0xd8/0x100 [nvidia]
Jul 3 15:25:49 kali kernel: [ 21.755416] ? _nv001171rm+0x627/0x830 [nvidia]
Jul 3 15:25:49 kali kernel: [ 21.755512] ? rm_ioctl+0x73/0x100 [nvidia]
Jul 3 15:25:49 kali kernel: [ 21.755560] ? nvidia_ioctl+0xb0/0x720 [nvidia]
Jul 3 15:25:49 kali kernel: [ 21.755608] ? nvidia_ioctl+0x573/0x720 [nvidia]
Jul 3 15:25:49 kali kernel: [ 21.755610] ? kmem_cache_free+0x19c/0x1d0
Jul 3 15:25:49 kali kernel: [ 21.755658] ? nvidia_frontend_unlocked_ioctl+0x3e/0x50 [nvidia]
Jul 3 15:25:49 kali kernel: [ 21.755660] ? do_vfs_ioctl+0xa4/0x630
Jul 3 15:25:49 kali kernel: [ 21.755661] ? __fput+0x164/0x1e0
Jul 3 15:25:49 kali kernel: [ 21.755663] ? SyS_ioctl+0x74/0x80
Jul 3 15:25:49 kali kernel: [ 21.755665] ? do_syscall_64+0x6c/0x130
Jul 3 15:25:49 kali kernel: [ 21.755668] ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Jul 3 15:25:49 kali kernel: [ 21.755669] Code: 0f 44 d0 53 48 c7 c0 51 de 03 86 51 48 c7 c6 ed d3 02 86 41 53 48 89 f9 48 0f 45 f0 4c 89 d2 48 c7 c7 38 df 03 86 e8 f1 2e ea ff <0f> 0b 49 c7 c1 bc de 04 86 4d 89 cb 4d 89 c8 eb a5 66 0f 1f 44
Jul 3 15:25:49 kali kernel: [ 21.755688] RIP: usercopy_abort+0x69/0x80 RSP: ffffbb2f04ca7b50
Jul 3 15:25:49 kali kernel: [ 21.755690] ---[ end trace c43f73f1a0894a98 ]---
Jul 3 15:25:49 kali kernel: [ 22.389100] general protection fault: 0000 [#2] SMP PTI
Jul 3 15:25:49 kali kernel: [ 22.389102] Modules linked in: pci_stub vboxpci(O) vboxnetadp(O) vboxnetflt(O) vboxdrv(O) snd_hda_codec_hdmi arc4 binfmt_misc nls_ascii nls_cp437 vfat fat intel_rapl x86_pkg_temp_thermal intel_powerclamp hp_wmi mxm_wmi sparse_keymap coretemp wmi_bmof iwlmvm kvm_intel btusb mac80211 btrtl snd_hda_codec_conexant btbcm btintel kvm snd_hda_codec_generic bluetooth irqbypass snd_hda_intel snd_hda_codec intel_cstate iwlwifi snd_hda_core drbg intel_uncore snd_hwdep intel_rapl_perf joydev ansi_cprng efi_pstore rtsx_pci_ms snd_pcm memstick cfg80211 snd_timer tpm_infineon ecdh_generic snd evdev rfkill iTCO_wdt sg iTCO_vendor_support soundcore serio_raw shpchp intel_pch_thermal efivars battery hp_accel lis3lv02d input_polldev wmi video tpm_tis hp_wireless tpm_tis_core tpm rng_core acpi_pad ac button nvidia_drm(PO)
Jul 3 15:25:49 kali kernel: [ 22.389321] drm_kms_helper drm nvidia_modeset(PO) nvidia(PO) ipmi_devintf ipmi_msghandler efivarfs ip_tables x_tables autofs4 ext4 crc16 mbcache jbd2 crc32c_generic fscrypto ecb algif_skcipher af_alg dm_crypt dm_mod sd_mod hid_generic usbhid hid crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel pcbc rtsx_pci_sdmmc mmc_core aesni_intel ahci xhci_pci aes_x86_64 libahci crypto_simd glue_helper xhci_hcd cryptd libata psmouse e1000e i2c_i801 rtsx_pci usbcore scsi_mod usb_common thermal
Jul 3 15:25:49 kali kernel: [ 22.389583] CPU: 6 PID: 842 Comm: Xorg Tainted: P D O 4.16.0-kali2-amd64 0000001 Debian 4.16.16-2kali1
Jul 3 15:25:49 kali kernel: [ 22.389584] Hardware name: HP HP ZBook 15 G3/80D5, BIOS N81 Ver. 01.27 05/22/2018
Jul 3 15:25:49 kali kernel: [ 22.390571] RIP: 0010:_nv007214rm+0x25/0x90 [nvidia]
Jul 3 15:25:49 kali kernel: [ 22.390781] RSP: 0018:ffffbb2f04ca7d20 EFLAGS: 00010006
Jul 3 15:25:49 kali kernel: [ 22.390783] RAX: 48e28944ffffff36 RBX: ffffffffc14700f8 RCX: ffffbb2f04ca7db0
Jul 3 15:25:49 kali kernel: [ 22.390785] RDX: ffffffffc0815515 RSI: 000000000000034a RDI: ffffffffc14700f8
Jul 3 15:25:49 kali kernel: [ 22.390786] RBP: ffff8fb85cc0aff8 R08: 0000000000000000 R09: ffffbb2f04ca7dac
Jul 3 15:25:49 kali kernel: [ 22.390788] R10: 0000000000000000 R11: 00000000ffffff00 R12: 000000000000034a
Jul 3 15:25:49 kali kernel: [ 22.390789] R13: ffff8fb84c309600 R14: ffff8fb84c294b00 R15: ffff8fb85a128000
Jul 3 15:25:49 kali kernel: [ 22.390792] FS: 0000000000000000(0000) GS:ffff8fb87dd80000(0000) knlGS:0000000000000000
Jul 3 15:25:49 kali kernel: [ 22.390794] CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Jul 3 15:25:49 kali kernel: [ 22.390795] CR2: 000056469731cc28 CR3: 000000017b40a002 CR4: 00000000003606e0
Jul 3 15:25:49 kali kernel: [ 22.390797] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Jul 3 15:25:49 kali kernel: [ 22.390799] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Jul 3 15:25:49 kali kernel: [ 22.390800] Call Trace:
Jul 3 15:25:49 kali kernel: [ 22.392037] ? _nv025895rm+0x13/0x50 [nvidia]
Jul 3 15:25:49 kali kernel: [ 22.392982] ? _nv035609rm+0x144/0x1e0 [nvidia]
Jul 3 15:25:49 kali kernel: [ 22.393829] ? rm_free_unused_clients+0x4f/0xe0 [nvidia]
Jul 3 15:25:49 kali kernel: [ 22.394508] ? nv_check_pci_config_space+0x285/0x320 [nvidia]
Jul 3 15:25:49 kali kernel: [ 22.395177] ? nvidia_close+0xba/0x350 [nvidia]
Jul 3 15:25:49 kali kernel: [ 22.395797] ? nvidia_frontend_close+0x2a/0x40 [nvidia]
Jul 3 15:25:49 kali kernel: [ 22.395801] ? __fput+0xd0/0x1e0
Jul 3 15:25:49 kali kernel: [ 22.395804] ? task_work_run+0x8a/0xb0
Jul 3 15:25:49 kali kernel: [ 22.395807] ? do_exit+0x2e1/0xb40
Jul 3 15:25:49 kali kernel: [ 22.395810] ? SyS_ioctl+0x74/0x80
Jul 3 15:25:49 kali kernel: [ 22.395813] ? rewind_stack_do_exit+0x17/0x20
Jul 3 15:25:49 kali kernel: [ 22.395995] Code: 84 00 00 00 00 00 31 c9 48 85 ff 53 48 89 fb 74 0d 48 85 d2 74 08 48 63 47 08 48 8d 0c 10 48 8b 03 31 d2 0f 1f 00 48 85 c0 74 11 <48> 39 30 48 89 c2 76 47 48 8b 40 10 48 85 c0 75 ef 48 85 d2 48
Jul 3 15:25:49 kali kernel: [ 22.397290] RIP: _nv007214rm+0x25/0x90 [nvidia] RSP: ffffbb2f04ca7d20
Jul 3 15:25:49 kali kernel: [ 22.397292] ---[ end trace c43f73f1a0894a99 ]---
Jul 3 15:25:50 kali kernel: [ 23.832901] Fixing recursive fault but reboot is needed!

~0009335

fl0 (reporter)

Tested on another laptop with Intel graphics: 4.16.16 works fine.
Seems to be related to Nvidia driver ...

~0009336

rhertzog (administrator)

This is also reported here:
https://bugzilla.redhat.com/show_bug.cgi?id=1570493

It's a problem in the nvidia driver. Either we need to update the driver to version 396.24 or apply the patch in the above bug.

Or modify the kernel configuration to set CONFIG_HARDENED_USERCOPY_FALLBACK.

You can also boot with the kernel parameter slab_common.usercopy_fallback=Y and it should work again.

~0009337

fl0 (reporter)

I confirm slab_common.usercopy_fallback=Y workaround on boot works.

Thanks !

~0009338

rhertzog (administrator)

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=901919 is the bug on the Debian side.

~0009340

saldate (reporter)

I was able to workaround this issue by implementing the slab_common.usercopy_fallback=y workaround, using the following steps:

1. Edit the file /etc/default/grub on the line reading:
    GRUB_CMDLINE_LINUX=""

to add the following text:
    "slab_common.usercopy_fallback=y"

The line should now read:
    GRUB_CMDLINE_LINUX="slab_common.usercopy_fallback=y"

2. Update the grub bootloader using the following syntax, and reboot.
    update-grub

Also discovered an identical issue, here:
https://devtalk.nvidia.com/default/topic/1036979/-solved-it-cracks-with-kernel-4-16-16-in-debian-/?offset=4

~0009349

sbrun (manager)

fixed in linux version 4.16.16-2kali2
+Notes

-Issue History
Date Modified Username Field Change
2018-07-03 11:43 fl0 New Issue
2018-07-03 13:54 fl0 Note Added: 0009334
2018-07-03 14:47 fl0 Note Added: 0009335
2018-07-03 15:04 rhertzog Note Added: 0009336
2018-07-03 15:06 rhertzog Assigned To => sbrun
2018-07-03 15:06 rhertzog Status new => confirmed
2018-07-03 15:35 fl0 Note Added: 0009337
2018-07-03 15:40 rhertzog Note Added: 0009338
2018-07-05 00:22 saldate Note Added: 0009340
2018-07-05 07:16 rhertzog Relationship added has duplicate 0004836
2018-07-09 09:38 sbrun Status confirmed => resolved
2018-07-09 09:38 sbrun Resolution open => fixed
2018-07-09 09:38 sbrun Fixed in Version => 2018.3
2018-07-09 09:38 sbrun Note Added: 0009349
+Issue History